# frozen_string_literal: true

# These Plugins Must Be Loaded Before Anything Else
require 'rspeckled/plugins/configuration/simple_cov'
require 'rspeckled/plugins/configuration/dox'

require 'rspeckled/reporting'
require 'rspeckled/support'
require 'rspeckled/helpers'
require 'rspeckled/patches'
require 'rspeckled/plugins'

::RSpec.configure do |config|
  config.include ::Rspeckled::Helpers::Factories
  config.include ::Rspeckled::Helpers::Filepaths
  config.include ::Rspeckled::Helpers::NullObjects
  config.include ::Rspeckled::Helpers::Patterns
  config.include ::Rspeckled::Helpers::Responses
end

Dir[File.join(Dir.pwd, 'spec', 'support', '**', '*.rb')].sort.each { |f| require f }

Dir[File.join(Dir.pwd, 'spec', 'shared',  '**', '*_spec.rb')].sort.each do |f|
  puts(<<~HEREDOC).tr("\n", ' ')
    WARNING: You have a shared example file (#{f}) that ends in '_spec'. RSpec
    will load this twice with a misleading error message if you are explicitly
    requiring your shared examples (as you should).  See:
    https://github.com/rspec/rspec-core/issues/828"
  HEREDOC
end
